/**
* 文件：MateriaCategoryQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.model;
import java.util.List;

/**
 * <p>Title: 物料类目表</p>
 * <p>Description: MateriaCategoryQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaCategoryQuery extends MateriaCategoryEntity{
	private static final long serialVersionUID = 1614565856838L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** 类目名称，同父类目下不能重名 */
	private List<String> nameList;

	/** 类目短代码，同父类目下唯一，生成后不可变 */
	private List<String> selfCodeList;

	/** 类目代码，包含父类目代码 */
	private List<String> codeList;

	/** 开始 当前物料类目下物料启始数，默认1 */
	private Integer startNumStart;

	/** 结束 当前物料类目下物料启始数，默认1 */
	private Integer startNumEnd;

	/** 增加 当前物料类目下物料启始数，默认1 */
	private Integer startNumIncrement;

	/** 当前物料类目下物料启始数，默认1 */
	private List<Integer> startNumList;

	/** 开始 父类目ID */
	private Long parentIdStart;

	/** 结束 父类目ID */
	private Long parentIdEnd;

	/** 增加 父类目ID */
	private Long parentIdIncrement;

	/** 父类目ID */
	private List<Long> parentIdList;

	/** 开始 是否叶子节点，0否，1是，默认1 */
	private Integer isLeafStart;

	/** 结束 是否叶子节点，0否，1是，默认1 */
	private Integer isLeafEnd;

	/** 增加 是否叶子节点，0否，1是，默认1 */
	private Integer isLeafIncrement;

	/** 是否叶子节点，0否，1是，默认1 */
	private List<Integer> isLeafList;

	/** 开始 是否启用，0否，1是 */
	private Integer enabledStart;

	/** 结束 是否启用，0否，1是 */
	private Integer enabledEnd;

	/** 增加 是否启用，0否，1是 */
	private Integer enabledIncrement;

	/** 是否启用，0否，1是 */
	private List<Integer> enabledList;

	/** 备注 */
	private List<String> remarkList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<MateriaCategoryQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<MateriaCategoryQuery> andConditionList;


	public MateriaCategoryQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 类目名称，同父类目下不能重名
	 * @return nameList
	 */
	public List<String> getNameList(){
		return this.nameList;
	}

	/**
	 * 设置 类目名称，同父类目下不能重名
	 * @param nameList
	 */
	public void setNameList(List<String> nameList){
		this.nameList = nameList;
	}

	/**
	 * 获取 类目短代码，同父类目下唯一，生成后不可变
	 * @return selfCodeList
	 */
	public List<String> getSelfCodeList(){
		return this.selfCodeList;
	}

	/**
	 * 设置 类目短代码，同父类目下唯一，生成后不可变
	 * @param selfCodeList
	 */
	public void setSelfCodeList(List<String> selfCodeList){
		this.selfCodeList = selfCodeList;
	}

	/**
	 * 获取 类目代码，包含父类目代码
	 * @return codeList
	 */
	public List<String> getCodeList(){
		return this.codeList;
	}

	/**
	 * 设置 类目代码，包含父类目代码
	 * @param codeList
	 */
	public void setCodeList(List<String> codeList){
		this.codeList = codeList;
	}

	/**
	 * 获取 开始 当前物料类目下物料启始数，默认1
	 * @return startNumStart
	 */
	public Integer getStartNumStart(){
		return this.startNumStart;
	}

	/**
	 * 设置 开始 当前物料类目下物料启始数，默认1
	 * @param startNumStart
	 */
	public void setStartNumStart(Integer startNumStart){
		this.startNumStart = startNumStart;
	}

	/**
	 * 获取 结束 当前物料类目下物料启始数，默认1
	 * @return startNumEnd
	 */
	public Integer getStartNumEnd(){
		return this.startNumEnd;
	}

	/**
	 * 设置 结束 当前物料类目下物料启始数，默认1
	 * @param startNumEnd
	 */
	public void setStartNumEnd(Integer startNumEnd){
		this.startNumEnd = startNumEnd;
	}

	/**
	 * 获取 增加 当前物料类目下物料启始数，默认1
	 * @return startNumIncrement
	 */
	public Integer getStartNumIncrement(){
		return this.startNumIncrement;
	}

	/**
	 * 设置 增加 当前物料类目下物料启始数，默认1
	 * @param startNumIncrement
	 */
	public void setStartNumIncrement(Integer startNumIncrement){
		this.startNumIncrement = startNumIncrement;
	}

	/**
	 * 获取 当前物料类目下物料启始数，默认1
	 * @return startNumList
	 */
	public List<Integer> getStartNumList(){
		return this.startNumList;
	}

	/**
	 * 设置 当前物料类目下物料启始数，默认1
	 * @param startNumList
	 */
	public void setStartNumList(List<Integer> startNumList){
		this.startNumList = startNumList;
	}

	/**
	 * 获取 开始 父类目ID
	 * @return parentIdStart
	 */
	public Long getParentIdStart(){
		return this.parentIdStart;
	}

	/**
	 * 设置 开始 父类目ID
	 * @param parentIdStart
	 */
	public void setParentIdStart(Long parentIdStart){
		this.parentIdStart = parentIdStart;
	}

	/**
	 * 获取 结束 父类目ID
	 * @return parentIdEnd
	 */
	public Long getParentIdEnd(){
		return this.parentIdEnd;
	}

	/**
	 * 设置 结束 父类目ID
	 * @param parentIdEnd
	 */
	public void setParentIdEnd(Long parentIdEnd){
		this.parentIdEnd = parentIdEnd;
	}

	/**
	 * 获取 增加 父类目ID
	 * @return parentIdIncrement
	 */
	public Long getParentIdIncrement(){
		return this.parentIdIncrement;
	}

	/**
	 * 设置 增加 父类目ID
	 * @param parentIdIncrement
	 */
	public void setParentIdIncrement(Long parentIdIncrement){
		this.parentIdIncrement = parentIdIncrement;
	}

	/**
	 * 获取 父类目ID
	 * @return parentIdList
	 */
	public List<Long> getParentIdList(){
		return this.parentIdList;
	}

	/**
	 * 设置 父类目ID
	 * @param parentIdList
	 */
	public void setParentIdList(List<Long> parentIdList){
		this.parentIdList = parentIdList;
	}

	/**
	 * 获取 开始 是否叶子节点，0否，1是，默认1
	 * @return isLeafStart
	 */
	public Integer getIsLeafStart(){
		return this.isLeafStart;
	}

	/**
	 * 设置 开始 是否叶子节点，0否，1是，默认1
	 * @param isLeafStart
	 */
	public void setIsLeafStart(Integer isLeafStart){
		this.isLeafStart = isLeafStart;
	}

	/**
	 * 获取 结束 是否叶子节点，0否，1是，默认1
	 * @return isLeafEnd
	 */
	public Integer getIsLeafEnd(){
		return this.isLeafEnd;
	}

	/**
	 * 设置 结束 是否叶子节点，0否，1是，默认1
	 * @param isLeafEnd
	 */
	public void setIsLeafEnd(Integer isLeafEnd){
		this.isLeafEnd = isLeafEnd;
	}

	/**
	 * 获取 增加 是否叶子节点，0否，1是，默认1
	 * @return isLeafIncrement
	 */
	public Integer getIsLeafIncrement(){
		return this.isLeafIncrement;
	}

	/**
	 * 设置 增加 是否叶子节点，0否，1是，默认1
	 * @param isLeafIncrement
	 */
	public void setIsLeafIncrement(Integer isLeafIncrement){
		this.isLeafIncrement = isLeafIncrement;
	}

	/**
	 * 获取 是否叶子节点，0否，1是，默认1
	 * @return isLeafList
	 */
	public List<Integer> getIsLeafList(){
		return this.isLeafList;
	}

	/**
	 * 设置 是否叶子节点，0否，1是，默认1
	 * @param isLeafList
	 */
	public void setIsLeafList(List<Integer> isLeafList){
		this.isLeafList = isLeafList;
	}

	/**
	 * 获取 开始 是否启用，0否，1是
	 * @return enabledStart
	 */
	public Integer getEnabledStart(){
		return this.enabledStart;
	}

	/**
	 * 设置 开始 是否启用，0否，1是
	 * @param enabledStart
	 */
	public void setEnabledStart(Integer enabledStart){
		this.enabledStart = enabledStart;
	}

	/**
	 * 获取 结束 是否启用，0否，1是
	 * @return enabledEnd
	 */
	public Integer getEnabledEnd(){
		return this.enabledEnd;
	}

	/**
	 * 设置 结束 是否启用，0否，1是
	 * @param enabledEnd
	 */
	public void setEnabledEnd(Integer enabledEnd){
		this.enabledEnd = enabledEnd;
	}

	/**
	 * 获取 增加 是否启用，0否，1是
	 * @return enabledIncrement
	 */
	public Integer getEnabledIncrement(){
		return this.enabledIncrement;
	}

	/**
	 * 设置 增加 是否启用，0否，1是
	 * @param enabledIncrement
	 */
	public void setEnabledIncrement(Integer enabledIncrement){
		this.enabledIncrement = enabledIncrement;
	}

	/**
	 * 获取 是否启用，0否，1是
	 * @return enabledList
	 */
	public List<Integer> getEnabledList(){
		return this.enabledList;
	}

	/**
	 * 设置 是否启用，0否，1是
	 * @param enabledList
	 */
	public void setEnabledList(List<Integer> enabledList){
		this.enabledList = enabledList;
	}

	/**
	 * 获取 备注
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 备注
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<MateriaCategoryQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<MateriaCategoryQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<MateriaCategoryQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<MateriaCategoryQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}